%define upstream_name	 Algorithm-Dependency
%define upstream_version 1.112

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Summary:    Algorithmic framework for implementing dependency tree
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Algorithm/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(List::Util) >= 1.110.0
BuildRequires: perl(Params::Util) >= 0.310.0
BuildRequires: perl(Test::ClassAPI) >= 0.600.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Algorithm::Dependency is a framework for creating simple read-only
dependency hierarchies, where you have a set of items that rely on other
items in the set, and require actions on them as well.

Despite the most visible of these being software installation systems
like the CPAN installer, or debian apt-get, they are useful in others
situations. This module intentionally uses implementation-neutral words,
to avoid confusion.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Algorithm
%{_mandir}/*/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.112.0-3.mga10
+ Revision: 2206139
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.112.0-2.mga9
+ Revision: 1812609
- Mageia 9 Mass Rebuild

* Wed Apr 29 2020 tv <tv> 1.112.0-1.mga8
+ Revision: 1573079
- update to 1.112

* Fri Feb 14 2020 umeabot <umeabot> 1.111.0-2.mga8
+ Revision: 1521521
- Mageia 8 Mass Rebuild

* Fri Dec 28 2018 tv <tv> 1.111.0-1.mga7
+ Revision: 1345368
- update to 1.111

* Thu Sep 20 2018 umeabot <umeabot> 1.110.0-11.mga7
+ Revision: 1281551
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.110.0-10.mga7
+ Revision: 1162772
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 1.110.0-9.mga7
+ Revision: 1157219
- fix build dependencies

* Sat Jun 18 2016 pterjan <pterjan> 1.110.0-8.mga6
+ Revision: 1022248
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.110.0-7.mga6
+ Revision: 946541
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.110.0-6.mga5
+ Revision: 743280
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.110.0-5.mga5
+ Revision: 683443
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.110.0-4.mga4
+ Revision: 509026
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.110.0-3.mga3
+ Revision: 362848
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.110.0-2.mga1
+ Revision: 28353
- mageia rebuild
- cleaning spec file
- imported package perl-Algorithm-Dependency


* Wed Feb 10 2010 Jérôme Quelin <jquelin@mandriva.org> 1.110.0-2mdv2010.1
+ Revision: 503911
- rebuild using %%perl_convert_version

* Fri Dec 25 2009 Michael Scherer <misc@mandriva.org> 1.110-2mdv2010.1
+ Revision: 482286
- fix License
- fix description

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.110-1mdv2010.0
+ Revision: 370007
- update to new version 1.110

* Thu Feb 12 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.108-1mdv2009.1
+ Revision: 339735
- update to new version 1.108

* Mon Feb 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.107-1mdv2009.1
+ Revision: 338706
- update to new version 1.107

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.106-3mdv2009.0
+ Revision: 255262
- rebuild

* Tue Jan 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.106-1mdv2008.1
+ Revision: 152822
- update to new version 1.106

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.104-1mdv2008.1
+ Revision: 109469
- update to new version 1.104

* Mon Jul 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.103-1mdv2008.0
+ Revision: 46962
- update to new version 1.103


* Wed Jun 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.102-2mdv2007.0
- better source URL

* Mon Apr 17 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.102-1mdk
- New release 1.102
- better source URL
- better buildrequires syntax

* Wed Oct 12 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.101-1mdk
- New release 1.101

* Fri Sep 30 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.04-2mdk
- Buildrequires fix

* Wed Sep 21 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.04-1mdk
- New release 1.04
- spec cleanup
- fix directory ownership
- fix spelling errors in description

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.03-1mdk
- initial Mandriva package

